@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

body {
    margin: 0;
    font-family: "poppins", sans-serif;
    background-color: #000;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    overflow: hidden;
}

.card {
    text-align: center;
    width: 90%;
    max-width: 400px;
    background-color: #000;
    border-radius: 20px;
    padding: 20px;
    position: relative;
    opacity: 0;
    transform: scale(0.9);
    animation: fadeInScale 1s forwards;
}

.top-buttons {
    position: absolute;
    top: 10px;
    right: 10px;
    display: flex;
    gap: 10px;
    opacity: 0;
    transform: translateY(-20px);
    animation: slideDown 1s 0.5s forwards;
}

.top-button {
    background-color: #fff;
    color: #000;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    font-size: 1.2em;
    cursor: pointer;
}

.top-button a {
    color: #000;
}

.card img {
    width: 80px;
    margin-bottom: 20px;
    opacity: 0;
    transform: translateY(-20px);
    animation: slideDown 1s 0.7s forwards;
}

.card h1 {
    font-size: 1.8em;
    margin: 0;
    opacity: 0;
    animation: fadeIn 1s 0.9s forwards;
    font-weight: 600;
}

.card h2 {
    font-size: 1.1em;
    font-weight: normal;
    color: #ccc;
    opacity: 0;
    animation: fadeIn 1s 1.1s forwards;
}

.icon-row {
    margin: 20px 0;
    display: flex;
    justify-content: space-around;
    opacity: 0;
    transform: translateY(20px);
    animation: slideUp 1s 1.3s forwards;
}

.icon-row a{
    color: #000;
}

.icon {
    background-color: #fff;
    color: #000;
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    font-size: 1.5em;
    cursor: pointer;
}

.social-icons {
    display: flex;
    justify-content: space-around;
    margin: 20px 0;
    opacity: 0;
    animation: fadeIn 1s 1.5s forwards;
}

.social-icons a{
    color: #000;
}

.social-icon {
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    background-color: #fff;
    color: #000;
    cursor: pointer;
}



.footer-logo {
    margin-top: 20px;
    opacity: 0;
    transform: translateY(20px);
    animation: slideUp 1s 1.9s forwards;
}

.footer-logo a{
    text-decoration: none;
    color: #fff;
}

/* .footer-logo img {
    width: 120px;
} */


.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    visibility: hidden;
}

.overlay img {
    max-width: 300px;
    border-radius: 10px;
}

.close-button {
    position: absolute;
    top: 20px;
    right: 20px;
    background-color: #fff;
    color: #000;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    font-size: 1.2em;
    cursor: pointer;
}

.overlay.show {
    visibility: visible;
}


@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes fadeInScale {
    from {
        opacity: 0;
        transform: scale(0.9);
    }

    to {
        opacity: 1;
        transform: scale(1);
    }
}

@keyframes slideDown {
    from {
        opacity: 0;
        transform: translateY(-20px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes slideUp {
    from {
        opacity: 0;
        transform: translateY(20px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

#overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 999;
}

#closePopupButton {
    font-size: 17px;
    margin-top: 10px;
}

#installPopup {
    display: none;
    padding: 15px 30px;
    width: 80%;
    max-width: 400px;
    border: 1px solid black;
    background: #f9f9f9;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1000;
    text-align: center;

}


/* Install button styling */
#multiActionButton {
    color: #000;
    background-color: #fff;
    cursor: pointer;
    padding: 10px 20px;
    border: none;
    border-radius: 25px;
    font-size: 1em;
    cursor: pointer;
    margin-top: 20px;
    opacity: 0;
    animation: fadeIn 1s 1.7s forwards;
    font-weight: 600;
}